chrony (4.8-4ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable (LP: #2154097). Remaining changes:
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/chrony.install: Make chrony-starter.sh available on install.
      + d/docs, d/README.container: Provide documentation about the
        handling of this case.
    - d/rules, d/chrony.examples: Ship restricted service as an example
      not installed to the system for use.  (See LP #2051028)
    - d/chrony.conf: remove Debian NTP pool and Document non-NTS sources from
      DHCP (LP #2115565)
    - Install Ubuntu NTP sources in
      /etc/chrony/sources.d/ubuntu-ntp-pools.sources, gated on a low priority
      (default yes) debconf question (LP #2048876):
      + d/templates: Add debconf question to customize installation of
        /etc/chrony/sources.d/ubuntu-ntp-pools.sources
      + d/chrony.install, d/ubuntu-ntp-pools.sources: Install
        ubuntu-ntp-pools.sources in /usr/share/chrony
      + d/control: add dependency on debconf
      + d/postinst: handle Ubuntu pools via debconf and ucf
      + d/postrm: handle Ubuntu pools via debconf and ucf
      + d/NEWS: Add information about default time sources moving out from
        chrony.conf to /etc/chrony/sources.d/ubuntu-ntp-pools.sources.
      + d/chrony.config: debconf script to handle Ubuntu pools
      + d/t/control, d/t/default-ubuntu-sources-behavior: new test to check the
        debconf behavior
    - Use Ubuntu NTS servers by default (LP #2084585):
      + d/conf.d/ubuntu-nts.conf: refer to the CA used to sign the NTS bootstrap
        server
      + d/nts-bootstrap-{,staging}-ubuntu.crt: CA certificate for the NTS
        bootstrap servers
      + d/chrony.install: install the NTS bootstrap CAs
      + d/ubuntu-ntp-pools.sources: use NTS by default
      + d/t/default-ubuntu-sources-behavior: update tests for NTS support
      + d/NEWS: add news entry about the NTS change
    - d/chrony.service: Allow real chronyd to send READY=1 via sd_notify in
      place of the chronyd-starter.sh wrapper.
    - d/control: Recommends: networkd-dispatcher (LP #2132159)
    - configure: switch sed separator from % to # to cope with dpkg
    - d/t/upstream-simulation-test-suite: revert update of clknetsim done in
      4.8-1 which redefines __open64_2 and breaks armhf build
  * Dropped:
    - d/t/helper-functions: show some logs in case of failure
      [In 4.8-3]
    - d/usr.sbin.chronyd: adjust apparmor rule so that chronyd is also allowed
      to access subdirectories of /run/chrony
      [In 4.8-3]

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Wed, 19 Aug 2026 17:11:13 -0300

chrony (4.8-4) unstable; urgency=medium

  * debian/:
    - Bump dh compat to 14.

  * debian/chrony.{if*,ppp*}:
    - Don't exit immediately if `chronyc onoffline` fails (Closes: #1011533)
    - Check for chronyd.sock instead of chronyd.pid. The existence of the PID
    file does not guarantee that the command socket is available.

  * debian/control:
    - Bump Standards-Version to 4.7.4 (no changes required.)

  * debian/copyright:
    - Update copyright year for debian/*.

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 22 Jun 2026 16:52:45 +0200

chrony (4.8-3) unstable; urgency=medium

  [ Vincent Blut ]
  * debian/:
    - Format packaging files with `debputy reformat`.

  * debian/control:
    - Use debputy's X-Style: black.
    - Bump Standards-Version to 4.7.3 (no changes required).
    - Fix lintian error 'invalid-arch-string-in-source-relation'.

  * debian/patches/:
    - Drop skip-flaky-007-cmdmon-system-test.patch.
    - Cherry-pick test_-make-007-cmdmon-test-even-more-reliable.patch from
    upstream.

  * debian/tests/:
    - Drop time-sources-from-dhcp-servers autopkgtest as it depends on
    the no longer available in testing isc-dhcp-{client,server} packages.

  * debian/tests/upstream-simulation-test-suite:
    - No need to build clknetsim with extra CFLAGS on armel and armhf.

  [ Andreas Hasenack ]
  * debian/tests/helper-functions:
    - Show some logs in case of failure.

  * debian/usr.sbin.chronyd:
    - Adjust apparmor rule so that chronyd is also allowed to access
    subdirectories of /run/chrony.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 26 Feb 2026 15:03:53 +0100

chrony (4.8-2ubuntu2) stonking; urgency=medium

  * d/chronyd-starter: use `exec` to not leave parent shell process behind

 -- Simon Deziel <simon.deziel@canonical.com>  Mon, 27 Apr 2026 16:22:55 -0400

chrony (4.8-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2126001, LP: #2122337)). Remaining changes:
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/install: Make chrony-starter.sh available on install.
      + d/docs, d/README.container: Provide documentation about the
        handling of this case.
    - d/rules, d/chrony.examples: Ship restricted service as an example
      not installed to the system for use.  (See LP #2051028)
    - d/chrony.conf: remove Debian NTP pool and Document non-NTS sources from
      DHCP (LP #2115565)
    - Install Ubuntu NTP sources in
      /etc/chrony/sources.d/ubuntu-ntp-pools.sources, gated on a low priority
      (default yes) debconf question (LP #2048876):
      + d/templates: Add debconf question to customize installation of
        /etc/chrony/sources.d/ubuntu-ntp-pools.sources
      + d/install, d/ubuntu-ntp-pools.sources: Install ubuntu-ntp-pools.sources
        in /usr/share/chrony
      + d/control: add dependency on debconf
      + d/postinst: handle Ubuntu pools via debconf and ucf
      + d/postrm: handle Ubuntu pools via debconf and ucf
      + d/NEWS: Add information about default time sources moving out from
        chrony.conf to /etc/chrony/sources.d/ubuntu-ntp-pools.sources.
      + d/chrony.config: debconf script to handle Ubuntu pools
      + d/t/control, d/t/default-ubuntu-sources-behavior: new test to check the
        debconf behavior
    - Use Ubuntu NTS servers by default (LP #2084585):
      + d/conf.d/ubuntu-nts.conf: refer to the CA used to sign the NTS bootstrap
        server
      + d/nts-bootstrap-{,staging}-ubuntu.crt: CA certificate for the NTS
        bootstrap servers
      + d/install: install the NTS bootstrap CAs
      + d/ubuntu-ntp-pools.sources: use NTS by default
      + d/t/default-ubuntu-sources-behavior: update tests for NTS support
      + d/NEWS: add news entry about the NTS change
    - d/chrony.service: Allow real chronyd to send READY=1 via sd_notify in
      place of the chronyd-starter.sh wrapper.
    - d/control: Recommends: networkd-dispatcher (LP #2132159)
    - configure: switch sed separator from % to # to cope with dpkg
  * Dropped:
    - d/usr.sbin.chronyd: Grant access to NOTIFY_SOCKET in AppArmor profile.
      [In 4.7-2]
  * Added:
    - d/t/helper-functions: show some logs in case of failure
    - d/t/default-ubuntu-sources-behavior: use common __cleanup
    - d/usr.sbin.chronyd: adjust apparmor rule so that chronyd is also allowed
      to access subdirectories of /run/chrony
    - d/t/upstream-simulation-test-suite: revert update of clknetsim done in
      4.8-1 which redefines __open64_2 and breaks armhf build

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Fri, 13 Feb 2026 15:50:10 -0300

chrony (4.8-2) unstable; urgency=medium

  * debian/rules:
    - Specify default chronyc user. This is the user to which chronyc will
    switch when it is started under root.

  * debian/chrony.service:
    - Allow chronyd to run inside the Windows Subsystem for Linux.
    (LP: #2122337)

  * debian/watch:
    - Version: field should live in its own paragraph.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 14 Oct 2025 19:34:50 +0200

chrony (4.8-1) unstable; urgency=medium

  * Import upstream version 4.8:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * Merge branch 'debian/unstable' into debian/latest.

  * Upload to unstable.

  * debian/chrony.sysusers:
    - Install a sysusers.d file to create the _chrony system user/group.

  * debian/control:
    - Build-depend on dh-sequence-installsysusers.
    - Drop unused adduser dependency.

  * debian/postinst:
    - Drop adduser invocation. The _chrony system user/group is now created
    using a sysusers.d fragment.
    - Allocate the _chrony system user/group before running dpkg-statoverride
    commands.

  * debian/postrm:
    - Don't delete the _chrony system user/group during purge.
    Deleting it is risky because sensitive files belonging to this uid might
    remain on the filesystem and could be recovered by another system user
    reusing the same uid.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.
    - Get clknetsim from Gitlab.

  * debian/watch:
    - Update to version 5.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 27 Aug 2025 15:22:42 +0200

chrony (4.8~pre1-1) experimental; urgency=medium

  * Import upstream version 4.8-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/control:
    - Drop 'Priority: optional'. dpkg sets it by default if omitted.
    - Drop 'Rules-Requires-Root: no'. dpkg sets it by default if omitted.

  * debian/copyright:
    - Add a few entries and update copyright year.

  * debian/test/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 14 Aug 2025 17:46:23 +0200

chrony (4.7-3) unstable; urgency=medium

  * debian/patches/:
    - Add skip-flaky-007-cmdmon-system-test.patch. Upstream system test
    007-cmdmon fails intermittently. Skip it! (Closes: #1111222)

 -- Vincent Blut <vincent.debian@free.fr>  Sat, 16 Aug 2025 13:34:52 +0200

chrony (4.7-2) unstable; urgency=medium

  [ Vincent Blut ]
  * Upload to unstable.

  * debian/control:
    - Suggest gpsd.

  [ Lukas Märdian ]
  * debian/usr.sbin.chronyd:
    - Grant access to sd_notify's $NOTIFY_SOCKET.

 -- Vincent Blut <vincent.debian@free.fr>  Sun, 10 Aug 2025 15:12:28 +0200

chrony (4.7-1ubuntu3) resolute; urgency=medium

  * configure: switch sed separator from % to # to cope with dpkg

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 25 Nov 2025 14:22:57 -0500

chrony (4.7-1ubuntu2) resolute; urgency=medium

  * d/control: Recommends: networkd-dispatcher (LP: #2132159)
    This package ships networkd-dispatcher scripts. Directly declare a
    Recommends: networkd-dispatcher instead of relying on systemd to do so.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 24 Nov 2025 08:49:04 -0500

chrony (4.7-1ubuntu1) questing; urgency=medium

  * Merge with Debian experimental. Remaining changes: (LP: #2110435)
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/install: Make chrony-starter.sh available on install.
      + d/docs, d/README.container: Provide documentation about the
        handling of this case.
    - d/rules, d/chrony.examples: Ship restricted service as an example
      not installed to the system for use.  (See LP #2051028)
    - d/chrony.conf: remove Debian NTP pool
    - Install Ubuntu NTP sources in
      /etc/chrony/sources.d/ubuntu-ntp-pools.sources, gated on a low priority
      (default yes) debconf question (LP #2048876):
      + d/templates: Add debconf question to customize installation of
        /etc/chrony/sources.d/ubuntu-ntp-pools.sources
      + d/install, d/ubuntu-ntp-pools.sources: Install ubuntu-ntp-pools.sources
        in /usr/share/chrony
      + d/control: add dependency on debconf
      + d/postinst: handle Ubuntu pools via debconf and ucf
      + d/postrm: handle Ubuntu pools via debconf and ucf
      + d/NEWS: Add information about default time sources moving out from
        chrony.conf to /etc/chrony/sources.d/ubuntu-ntp-pools.sources.
      + d/chrony.config: debconf script to handle Ubuntu pools
      + d/t/control, d/t/default-ubuntu-sources-behavior: new test to check the
        debconf behavior
    - Use Ubuntu NTS servers by default (LP #2084585):
      + d/conf.d/ubuntu-nts.conf: refer to the CA used to sign the NTS bootstrap
        server
      + d/nts-bootstrap-{,staging}-ubuntu.crt: CA certificate for the NTS
        bootstrap servers
      + d/install: install the NTS bootstrap CAs
      + d/ubuntu-ntp-pools.sources: use NTS by default
      + d/t/default-ubuntu-sources-behavior: update tests for NTS support
      + d/NEWS: add news entry about the NTS change
  * Drop Changes:
    - d/t/helper-functions: Do not fail if backup does not exist
      [Fixed in 4.7-1]
    - d/tests: Clean up after __no_system_clock_control()
      [Fixed in 4.7-1]
    - d/chrony.service: Do not run inside containers by default (LP 2111535)
      [Fixed in 4.7-1]
    - d/t/default-ubuntu-sources-behavior: Adopt to upstream container handling.
      [Squashed into "new test to check the debconf behavior"]
  * Add Changes:
    - d/chrony.service: Allow real chronyd to send READY=1 via sd_notify in
      place of the chronyd-starter.sh wrapper.
    - d/usr.sbin.chronyd: Grant access to NOTIFY_SOCKET in AppArmor profile.
    - d/chrony.conf: Document non-NTS sources from DHCP (LP: #2115565)

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 30 Jun 2025 13:26:18 +0200

chrony (4.7-1) experimental; urgency=medium

  [ Vincent Blut ]
  * Import upstream version 4.7 (LP: #2002910):
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * Merge branch 'debian/unstable' into 'debian/latest'.

  * debian/copyright:
    - Update copyright years.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

  [ Lukas Märdian ]
  * debian/chrony.service:
    - Do not run inside containers by default. (LP: #2111535)

  * debian/tests/helper-functions:
    - Introduce '__cleanup()' function.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 11 Jun 2025 17:38:16 +0200

chrony (4.7~pre1-1) experimental; urgency=medium

  * Import upstream version 4.7-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/chrony.service:
    - Switch service unit to use Type=notify.

  * debian/copyright:
    - Add an entry for refclock_rtc.c.

  * debian/patches/:
    - Refresh debianize-chronyd-restricted-unit-file.patch.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 21 May 2025 19:24:50 +0200

chrony (4.6.1-3) unstable; urgency=medium

  * debian/patches/:
    - Add conf:_fix_sourcedir_reloading_to_not_multiply_sources.patch. Thanks
    to MichaelR <MichaelR42@runbox.com> for the report. (Closes: #1106875)

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 03 Jun 2025 17:16:37 +0200

chrony (4.6.1-2) unstable; urgency=medium

  [ Vincent Blut ]
  * debian/chrony.conf:
    - Move the confdir directive at the end of the configuration file. This
    should prevent directives defined in /etc/chrony/conf.d/ from being
    overridden by corresponding directives in chrony.conf. (Closes: #1073865)

  * debian/chrony.service:
    - Drop 'After=network.target'. First and foremost, the network.target unit
    doesn't guarantee that any network interfaces are configured or
    operational. Furthermore, chronyd is perfectly able to operate without
    network or DNS functionality notably when used with a hardware reference
    clock as a time source.
    - Do not pull time-sync.target nor order chrony.service before it. Services
    pulling and being ordered before time-sync.target must ensure that the
    system clock has been completely synchronized and thus typically guarantee
    an accurate clock. This can't be assumed right after chrony.service has
    finished starting.

  * debian/control:
    - Support seccomp facility on loong64.
    - Bump Standards-Version to 4.7.2 (no changes required).

  * debian/copyright:
    - Update copyright year for debian/*.

  * debian/rules:
    - Revert "d/rules: Disable seccomp on loong64".

  * debian/usr.sbin.chronyd:
    - Relax rule regarding temperature sensors. (Closes: #1084841)

  [ Joachim Kross ]
  * debian/{control,postinst,chrony.conf}:
    - Minor textual updates.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 02 Apr 2025 21:33:06 +0200

chrony (4.6.1-1ubuntu2) questing; urgency=medium

  * d/chrony.service: Do not run inside containers by default (LP: #2111535)
    Still allow running tests in containers, by installing override
    configs in /etc/systemd/system/chrony.service.d/
  * d/tests: Clean up after __no_system_clock_control()
  * d/t/helper-functions: Do not fail if backup does not exist
  * d/t/default-ubuntu-sources-behavior: Adopt to upstream container handling.

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 03 Jun 2025 10:13:08 +0200

chrony (4.6.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085221). Remaining changes:
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/install: Make chrony-starter.sh available on install.
      + d/docs, d/README.container: Provide documentation about the
        handling of this case.
    - d/rules, d/chrony.examples: Ship restricted service as an example
      not installed to the system for use.  (See LP #2051028)
    - d/chrony.conf: remove Debian NTP pool
    - Install Ubuntu NTP sources in
      /etc/chrony/sources.d/ubuntu-ntp-pools.sources, gated on a low priority
      (default yes) debconf question (LP #2048876):
      + d/templates: Add debconf question to customize installation of
        /etc/chrony/sources.d/ubuntu-ntp-pools.sources
      + d/install, d/ubuntu-ntp-pools.sources: Install ubuntu-ntp-pools.sources
        in /usr/share/chrony
      + d/control: add dependency on debconf
      + d/postinst: handle Ubuntu pools via debconf and ucf
      + d/postrm: handle Ubuntu pools via debconf and ucf
      + d/NEWS: Add information about default time sources moving out from
        chrony.conf to /etc/chrony/sources.d/ubuntu-ntp-pools.sources.
      + d/chrony.config: debconf script to handle Ubuntu pools
      + d/t/control, d/t/default-ubuntu-sources-behavior: new test to check the
        debconf behavior
    - Use Ubuntu NTS servers by default (LP #2084585):
      + d/conf.d/ubuntu-nts.conf: refer to the CA used to sign the NTS bootstrap
        server
      + d/nts-bootstrap-{,staging}-ubuntu.crt: CA certificate for the NTS
        bootstrap servers
      + d/install: install the NTS bootstrap CAs
      + d/ubuntu-ntp-pools.sources: use NTS by default
      + d/t/default-ubuntu-sources-behavior: update tests for NTS support
      + d/NEWS: add news entry about the NTS change

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 23 Jan 2025 10:35:08 -0300

chrony (4.6.1-1) unstable; urgency=medium

  * Import upstream version 4.6.1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/copyright:
    - Update copyright year.

  * debian/.gitlab-ci:
    - Use the recommended URL.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 08 Oct 2024 16:06:04 +0200

chrony (4.6-1) unstable; urgency=medium

  * Import upstream version 4.6-1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/copyright:
    - Update copyright years.
    - Add Files stanzas.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <vincent.debian@free.fr>  Mon, 02 Sep 2024 19:37:15 +0200

chrony (4.6~pre1-1) experimental; urgency=medium

  * Import upstream version 4.6-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/chrony.conf:
    - Use the leapseclist directive to read NIST/IERS leap-seconds.list file.

  * debian/control:
    - Revert "d/control: Depend on tzdata-legacy". chronyd is now able to read
    the NIST/IERS leap-seconds.list file so we don't need to rely on the
    right/UTC timezone to get the TAI-UTC offsets. This renders the dependency
    on tzdata-legacy unnecessary.

  * debian/tests/control:
    - Revert "d/t/control: Let upstream-simulation-test-suite depend on
    tzdata-legacy".

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 30 Jul 2024 15:01:19 +0200

chrony (4.5-3ubuntu4) plucky; urgency=medium

  * Use Ubuntu NTS servers by default (LP: #2084585):
    - d/conf.d/ubuntu-nts.conf: refer to the CA used to sign the NTS bootstrap
      server
    - d/nts-bootstrap-{,staging}-ubuntu.crt: CA certificate for the NTS
      bootstrap servers
    - d/install: install the NTS bootstrap CAs
    - d/ubuntu-ntp-pools.sources: use NTS by default
    - d/t/default-ubuntu-sources-behavior: update tests for NTS support
    - d/NEWS: add news entry about the NTS change

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 17 Oct 2024 10:25:57 -0300

chrony (4.5-3ubuntu3) oracular; urgency=medium

  * d/t/control, d/t/default-ubuntu-sources-behavior: new test to check the
    debconf behavior introduced in LP #2048876)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 02 Sep 2024 16:37:40 -0300

chrony (4.5-3ubuntu2) oracular; urgency=medium
  * Move Ubuntu NTP sources to /etc/chrony/sources.d/ubuntu-ntp-pools.sources,
    gated on a low priority (default yes) debconf question (LP: #2048876):
    - d/NEWS: Add entry with information about default time sources moving out
      from chrony.conf to /etc/chrony/sources.d/ubuntu-ntp-pools.sources.
    - d/chrony.conf, d/ubuntu-ntp-pools.sources: Move Ubuntu NTP pool sources
      from chrony.conf to ubuntu-ntp-pools.sources 
    - d/chrony.config: Ask chrony/configure_ubuntu_pools_in_sourcesd debconf
      question.
    - d/control: Add debconf dependency.
    - d/install: Install ubuntu-ntp-pools.sources in /usr/share/chrony
    - d/postinst: Handle ubuntu-ntp-pools.sources installation, removal and
      ucf tracking based on debconf question.
    - d/postrm: Handle /etc/chrony/sources.d/ubuntu-ntp-pools.sources removal
      from ucf tracking based on debconf question on uninstall.
    - d/templates: Add debconf question to customize installation of
      /etc/chrony/sources.d/ubuntu-ntp-pools.sources. 
 
 -- Ankush Pathak <ankush.pathak@canonical.com>  Thu, 15 Aug 2024 00:03:08 +0530

chrony (4.5-3ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064393, LP: #2068526). Remaining
    changes:
    - d/chrony.conf: Use ubuntu ntp pool and server.
      (LP #1744664, #1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/install: Make chrony-starter.sh available on install.
      + d/docs, d/README.container: Provide documentation about the
        handling of this case.
    - d/rules, d/chrony.examples: Ship restricted service as an example
      not installed to the system for use.  (See LP #2051028)
  * Dropped:
    - d/usr.sbin.chronyd: apparmor fixes (LP: #2032805):
      + Allow the default UNIX domain socket address to be used by the
        reflock_sock service in the Apport configuration.
      + Fix failure to start timemaster due to lack of rw permissions on
        chrony socket.
      [In 4.5-2 and 4.5-3]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 02 Jul 2024 15:57:20 -0300

chrony (4.5-3) unstable; urgency=medium

  * debian/upstream-simulation-test-suite:
    - Update clknetsim version (Closes: #1073861)

  * debian/usr.sbin.chronyd:
    - Don't be too strict on allowed socket paths (LP: #2068526)

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 20 Jun 2024 00:41:37 +0200

chrony (4.5-2) unstable; urgency=medium

  * debian/copyright:
    - Update copyright year for debian/*.

  * debian/control:
    - Build depend on pkgconf instead of pkg-config.
    - Bump Standards-Version to 4.7.0 (no changes needed).

  * debian/rules:
    - Disable seccomp on loong64 until libseccomp in Debian supports it.

  * debian/tests/upstream-simulation-test-suite:
    - Build clknetsim with extra CFLAGS on armel and armhf architectures as it
    needs to use the same time_t as the chronyd binary.
    - Update clknetsim version.
    - Prevent connection timeout on slow architectures.
    - Remove unused environment variable.

  [ Bryce Harrington ]
  * debian/usr.sbin.chronyd:
    - Fix failure to start timemaster due to lack of rw permissions on chrony
    socket. (LP: #2032805)
    - Allow the default UNIX domain socket address to be used by the
    reflock_sock service in the AppArmor configuration.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 25 Apr 2024 15:52:18 +0200

chrony (4.5-1ubuntu4) noble; urgency=medium

  * d/usr.sbin.chronyd: Fix failure to start timemaster due to lack
    of rw permissions on chrony socket.
    (LP: #2032805)
  * d/usr.sbin.chronyd: Allow the default UNIX domain socket address
    to be used by the reflock_sock service in the Apport configuration.
    (ref LP #2032805)

 -- Bryce Harrington <bryce@canonical.com>  Mon, 01 Apr 2024 18:28:32 -0700

chrony (4.5-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:38:10 +1100

chrony (4.5-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:02:48 +0000

chrony (4.5-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040371). Remaining changes:
    - d/chrony.conf: Use ubuntu ntp pool and server.
      (LP #1744664, #1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP #1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + d/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + d/chrony.default: new option SYNC_IN_CONTAINER to not fall
        back (Default off)
      + d/chronyd-starter.sh: wrapper to handle special cases in
        containers and if CAP_SYS_TIME is missing. Effectively allows
        running the NTP server in containers on a default installation
        and avoid failing to sync time (or if allowed to sync, avoid
        multiple containers fighting over it by accident).
      + d/install: Make chrony-starter.sh available on install.
      + d/docs, d/README.container: Provide documentation about the
        handling of this case.
  * Dropped:
    - Depend on tzdata-legacy for reading leapsectz from
      /usr/share/zoneinfo/right/UTC
      (LP #2008076)
  * d/rules, d/chrony.examples: Ship restricted service as an example
    not installed to the system for use.  (See LP #2051028)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 02 Jan 2024 00:45:01 -0800

chrony (4.5-1) unstable; urgency=medium

  * Import upstream version 4.5:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * Upload to unstable.

  * debian/copyright:
    - Update copyright attribution.

 -- Vincent Blut <vincent.debian@free.fr>  Tue, 05 Dec 2023 16:35:17 +0100

chrony (4.5~pre1-1) experimental; urgency=medium

  *  Import upstream version 4.5-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.
    - Drop unneeded symlink creation.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 22 Nov 2023 22:20:11 +0100

chrony (4.4-3) unstable; urgency=medium

  * Rely solely on dh_installsystemd to install the systemd units in the
    correct location. (Closes: #1054222)

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 19 Oct 2023 23:47:52 +0200

chrony (4.4-2) unstable; urgency=medium

  * debian/control:
    - Add version constraint on adduser. (Closes: #1051822)

  * debian/.gitlab-ci.yml:
    - Run CI on unstable.

 -- Vincent Blut <vincent.debian@free.fr>  Thu, 14 Sep 2023 20:28:27 +0200

chrony (4.4-1) unstable; urgency=medium

  * Import upstream version 4.4:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/:
    - Update links to point to new chrony location.

  * debian/copyright:
    - Update copyright years.

  * debian/install:
    - Install the chronyd-restricted systemd unit.

  * debian/patches/:
    - Add debianize-chronyd-restricted-unit-file.patch.

  * debian/rules:
    - Do not enable nor start chronyd-restricted.service.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 09 Aug 2023 17:50:42 +0200

chrony (4.4~pre2-1) experimental; urgency=medium

  * Import upstream version 4.4-pre2:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.
    - Update clknetsim seed. This prevents the '148-replacement' test from
    failing.

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 21 Jun 2023 19:12:19 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog chrony`.
